Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.discrete.inhomogeneous.parameters
Class FSDAGMParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.parameters.SequenceScoringParameterSet
                  de.jstacs.models.discrete.DGMParameterSet
                      de.jstacs.models.discrete.inhomogeneous.parameters.IDGMParameterSet
                          de.jstacs.models.discrete.inhomogeneous.parameters.FSDAGMParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

Direct Known Subclasses:
  FSDAGModelForGibbsSamplingParameterSet

    public class FSDAGMParameterSet

extends IDGMParameterSet

The class for the parameters of a `FSDAGModel` (fixed structure directed acyclic graphical model).

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`` | `FSDAGMParameterSet()` This constructor creates an empty `FSDAGMParameterSet` set for a `FSDAGModel`.
`` | `FSDAGMParameterSet(AlphabetContainer alphabet, int length, double ess, String description, String graph)` This constructor creates an `FSDAGMParameterSet` instance.
`protected` | `FSDAGMParameterSet(Class<? extends FSDAGModel> clazz)` This the constructor creates an empty `FSDAGMParameterSet` from the class that can be instantiated using this `FSDAGMParameterSet`.
`protected` | `FSDAGMParameterSet(Class<? extends FSDAGModel> clazz, AlphabetContainer alphabet, int length, double ess, String description, String graph)` This constructor creates an `FSDAGMParameterSet` instance for the specified class.
`` | `FSDAGMParameterSet(StringBuffer s)` The standard constructor for the interface `Storable`.

Method Summary
`static String` | `encode(int[][] graph)` This method can be used to encode an adjacency list to a graph description `String` (e.g. for the different constructors which requires graph description `String`s).
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.models.discrete.inhomogeneous.parameters.IDGMParameterSet
`getModelInstanceName`

Methods inherited from class de.jstacs.models.discrete.DGMParameterSet
`clone, getInstanceName, hasDefaultOrIsSet, setEss`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, replaceParametersWithRangedInstance, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfValues, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSDAGMParameterSet

    public FSDAGMParameterSet(StringBuffer s)
                       throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `FSDAGMParameterSet` out of its XML representation.

  Parameters:
    `s` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `FSDAGMParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `Storable`, `IDGMParameterSet.IDGMParameterSet(StringBuffer)`

### FSDAGMParameterSet

    public FSDAGMParameterSet()

  This constructor creates an empty `FSDAGMParameterSet` set for a `FSDAGModel`.

  See Also:
    `FSDAGMParameterSet(Class)`

### FSDAGMParameterSet

    public FSDAGMParameterSet(AlphabetContainer alphabet,
                              int length,
                              double ess,
                              String description,
                              String graph)
                       throws Exception

  This constructor creates an `FSDAGMParameterSet` instance. It sets the `AlphabetContainer`, the length, the ess (equivalent sample size) and the model description as well as a `String` describing the graph structure.

  Parameters:
    `alphabet` - the `AlphabetContainer` that is used in the model
    `length` - the length of the model (has to be positive)
    `ess` - the ess (equivalent sample size) of the model (has to be positive)
    `description` - a short description of the model (for a better handling of the object by the user)
    `graph` - the graph description `String`, encodes in XML-like manner the parents of each node "<parents node="i">j,k,l</parents>"
  Throws:
    `Exception` - if something went wrong
  See Also:
    `encode(int[][])`, `FSDAGMParameterSet(Class, AlphabetContainer, int, double, String, String)`

### FSDAGMParameterSet

    protected FSDAGMParameterSet(Class<? extends FSDAGModel> clazz)

  This the constructor creates an empty `FSDAGMParameterSet` from the class that can be instantiated using this `FSDAGMParameterSet`.

  Parameters:
    `clazz` - the class of the object that will be created with this parameter set
  See Also:
    `FSDAGModel`, `FSDAGModelForGibbsSampling`, `IDGMParameterSet.IDGMParameterSet(Class)`

### FSDAGMParameterSet

    protected FSDAGMParameterSet(Class<? extends FSDAGModel> clazz,
                                 AlphabetContainer alphabet,
                                 int length,
                                 double ess,
                                 String description,
                                 String graph)
                          throws Exception

  This constructor creates an `FSDAGMParameterSet` instance for the specified class. It sets the `AlphabetContainer`, the length, the ess (equivalent sample size) and the model description as well as a `String` describing the graph structure.

  Parameters:
    `clazz` - the class of the object that will be created with this parameter set
    `alphabet` - the `AlphabetContainer` that is used in the model
    `length` - the length of the model (has to be positive)
    `ess` - the ess (equivalent sample size) of the model (has to be positive)
    `description` - a short description of the model (for a better handling of the object by the user)
    `graph` - the graph description `String`, encodes in XML-like manner the parents of each node "<parents node="i">j,k,l</parents>"
  Throws:
    `Exception` - if something went wrong
  See Also:
    `encode(int[][])`, `IDGMParameterSet.IDGMParameterSet(Class, AlphabetContainer, int, double, String)`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `DGMParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

### encode

    public static String encode(int[][] graph)

  This method can be used to encode an adjacency list to a graph description `String` (e.g. for the different constructors which requires graph description `String`s).

  Parameters:
    `graph` - `graph[i]` contains the parents of node `i`
  Returns:
    the graph description `String`
  See Also:
    `FSDAGMParameterSet(AlphabetContainer, int, double, String, String)`, `FSDAGMParameterSet(Class, AlphabetContainer, int, double, String, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD